var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconWorkflowFreedom500Component(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-workflow_freedom_500").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 16 16" }, rest, { ref: ref }),
        React.createElement("path", { d: "M1 14.5v.5h.5v1H0v-1.5h1Zm4 0V16H3v-1.5h2Zm4 0V16H7v-1.5h2Zm4 0V16h-2v-1.5h2Zm3 0V16h-1.5v-1h.5v-.5h1ZM1.5 11v2H0v-2h1.5ZM16 11v2h-1.5v-2H16ZM1.5 7v2H0V7h1.5ZM16 7v2h-1.5V7H16ZM1.5 3v2H0V3h1.5ZM16 3v2h-1.5V3H16ZM1.5 0v1H1v.5H0V0h1.5ZM5 0v1.5H3V0h2Zm4 0v1.5H7V0h2Zm4 0v1.5h-2V0h2Zm3 0v1.5h-1V1h-.5V0H16Z" }));
}
var IconWorkflowFreedom500 = React.forwardRef(IconWorkflowFreedom500Component);
export default IconWorkflowFreedom500;
